Bug 478453 - Missing dependency for gwibber : pyxdg
Missing dependency for gwibber : pyxdg
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gwibber (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 07:08 EST by Lionel Montrieux
Modified: 2009-01-26 20:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 20:56:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lionel Montrieux 2008-12-30 07:08:32 EST
Description of problem:

Gwibber should depend on package pyxdg

How reproducible:

always

Steps to Reproduce:
1. install gwibber
2. (try to) execute it
3. realize that pyxdg is missing
  
Actual results:

[lionel@hal9000 ~]$ gwibber 
Traceback (most recent call last):
  File "/usr/bin/gwibber", line 22, in <module>
    from gwibber.client import GwibberClient
  File "/usr/lib/python2.5/site-packages/gwibber/client.py", line 12, in <module>
    import xdg.BaseDirectory, resources
ImportError: No module named xdg.BaseDirectory
[lionel@hal9000 ~]$ gwibber 
Traceback (most recent call last):
  File "/usr/bin/gwibber", line 22, in <module>
    from gwibber.client import GwibberClient
  File "/usr/lib/python2.5/site-packages/gwibber/client.py", line 12, in <module>
    import xdg.BaseDirectory, resources
ImportError: No module named xdg.BaseDirectory


Expected results:

gwibber should start.

Additional info:

Installing pyxdg fixes the problem.
Comment 1 Ian Weller 2008-12-30 18:38:58 EST
I thought this was in testing already. Adding to bodhi now, please test and give karma.
Comment 2 Fedora Update System 2008-12-30 18:40:36 EST
gwibber-0.7.2-3.165bzr.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gwibber-0.7.2-3.165bzr.fc9
Comment 3 Fedora Update System 2008-12-30 18:40:39 EST
gwibber-0.7.2-3.165bzr.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gwibber-0.7.2-3.165bzr.fc10
Comment 4 Will Foster 2009-01-05 09:05:43 EST
thanks for adding this, you beat me to it :)
Comment 5 Fedora Update System 2009-01-07 04:20:10 EST
gwibber-0.7.2-3.165bzr.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0121
Comment 6 Fedora Update System 2009-01-07 04:31:26 EST
gwibber-0.7.2-3.165bzr.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0199
Comment 7 Fedora Update System 2009-01-17 08:34:10 EST
gwibber-0.7.2-5.165bzr.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gwibber-0.7.2-5.165bzr.fc10
Comment 8 Fedora Update System 2009-01-21 16:35:37 EST
gwibber-0.7.2-5.165bzr.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0822
Comment 9 Fedora Update System 2009-01-26 20:56:27 EST
gwibber-0.7.2-5.165bzr.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.